﻿using UnityEngine;
using System.Collections;

[RequireComponent(typeof(SpriteRenderer))]
public class SortOrderAdjuster : MonoBehaviour
{
	public bool bUpdateEachFrame = false;

	SpriteRenderer renderCom = null;

	void Start()
	{
		renderCom = GetComponent<SpriteRenderer>();

		UpdateSortOrder();
	}
	
	void Update()
	{
		if (bUpdateEachFrame)
		{
			UpdateSortOrder();
		}
	}

	void UpdateSortOrder()
	{
		renderCom.sortingOrder = (int)(transform.position.y * -10f);
	}
}
